POST /phone-numbers/{id}/whatsapp/calling

Enable Business Calling and forward calls to forwardTo

POST
/phone-numbers/{id}/whatsapp/calling

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Bought number id (GET /whatsapp/numbers) or the WhatsApp account id

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

forwardTo*string

tel:+E164, sip:user@host or wss://host

sipAuthUsername?string|null
sipAuthPassword?|

Stored encrypted, never returned

recordingEnabled?boolean
callIconCountries?array<any>|null
maxCallDurationSeconds?|
Range30 <= value <= 14400
forwardCallerId?string
Value in"business""caller"

Response Body

{success, callingEnabled, sipHostname, forwardTo, callerIdMode}

application/json
  1. response
success?boolean
callingEnabled?boolean
sipHostname?string
forwardTo?string
callerIdMode?string
Example Request
curl -X POST 'https://example.com/api/v1/phone-numbers/string/whatsapp/calling' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "forwardTo": "string"}'
Example Response
{  "success": true,  "callingEnabled": true,  "sipHostname": "string",  "forwardTo": "string",  "callerIdMode": "string"}